       IDENTIFICATION DIVISION.
       PROGRAM-ID. AcceptFromTest.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 WS-DATE    PIC 9(8).
       01 WS-DAY     PIC 9(7).
       01 WS-TIME    PIC 9(6).
       01 WS-DOW     PIC 9.
       PROCEDURE DIVISION.
           ACCEPT WS-DATE FROM DATE
           ACCEPT WS-DAY FROM DAY
           ACCEPT WS-TIME FROM TIME
           ACCEPT WS-DOW FROM DAY-OF-WEEK
           IF WS-DATE > 20000000 THEN DISPLAY "DATEOK" END-IF
           IF WS-DAY > 2000000 THEN DISPLAY "DAYOK" END-IF
           IF WS-TIME < 240000 THEN DISPLAY "TIMEOK" END-IF
           IF WS-DOW < 7 THEN DISPLAY "DOWOK" END-IF
           STOP RUN.
